Cyberduck Mountain Duck CLI

#9962 closed defect (fixed)

"Failure to read attributes of..." when replacing a deleted file

Reported by: Pensketch Owned by: dkocher
Priority: normal Milestone: 6.1.0
Component: s3 Version: 6.0
Severity: major Keywords: Amazon, AS3, Failure, Delete, Overwrite
Cc: Architecture: Intel
Platform: macOS 10.12

Description (last modified by dkocher)

I've been able to duplicate this problem using three different computers and both .png and .jpg files.

System : MAC OS 10.12.4 Cyberduck v 6.0.0, 6.0.1, and 6.0.4

This seems to only happen with a bucket that has versioning turned on, and I tested using Cyberduck v5.4.4, and it did not happen while following the same process.

Steps:

  1. Add a file to an a S3 bucket that has versioning enabled
  2. Delete the file from the AS3 bucket
  3. Try to add the file back to the same AS3 bucket

Consistently, when we try this, we get an error that says:

"Failure to read attributes of flie_name.jpg. The specified key does not exist. Please contact your web hosting service provider for assistance."

The only way we have found to work around this is to rename the file to anything but what it was originally – or – turning on Hidden Files and deleting the greyed out version of the file that has a size other than "--" first, and then the one that has the size of "--" second.

You can overwrite the file fine (though it will not override permissions; not sure if that is a different bug or not). But if you delete the file, you must either get rid of the hidden files, or rename the file to something else.

Attachments (1)

Screen Shot 2017-06-01 at 1.16.32 PM.png (91.6 KB) - added by Pensketch on Jun 2, 2017 at 7:26:31 PM.
Screenshot of error

Download all attachments as: .zip

Change History (7)

Changed on Jun 2, 2017 at 7:26:31 PM by Pensketch

Screenshot of error

comment:1 Changed on Jun 6, 2017 at 8:41:03 AM by dkocher

  • Description modified (diff)

comment:2 Changed on Jun 6, 2017 at 8:41:40 AM by dkocher

  • Milestone set to 7.0
  • Owner set to dkocher
  • Status changed from new to assigned

comment:3 Changed on Jun 6, 2017 at 8:42:31 AM by dkocher

  • Milestone changed from 7.0 to 6.1

comment:4 Changed on Jun 9, 2017 at 8:15:55 AM by dkocher

  • Summary changed from AS3 "Failure to read attributes of..." when replacing a deleted file to "Failure to read attributes of..." when replacing a deleted file

comment:5 Changed on Jun 20, 2017 at 3:20:19 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r41494.

comment:6 Changed on Oct 21, 2018 at 2:51:02 PM by dkocher

  • Milestone changed from 6.1 to 6.1.0

Milestone renamed

Note: See TracTickets for help on using tickets.